import { useEffect, useState } from 'react';
import { Dimensions } from 'react-native';
const getOrientation = (screen) => {
    return screen.width > screen.height ? 'landscape' : 'portrait';
};
export function useOrientation() {
    const [orientation, setOrientation] = useState(getOrientation(Dimensions.get('screen')));
    useEffect(() => {
        const handleOrientationChange = ({ screen }) => {
            setOrientation(getOrientation(screen));
        };
        const subscription = Dimensions.addEventListener('change', handleOrientationChange);
        return () => {
            subscription.remove();
        };
    }, []);
    return orientation;
}
